Get line graph of plans valuations Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/plans/line-graph

This endpoint will return the plans in the firm relevant to the user accessing them with the plans values at the requested dates.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • date_after string

    Date in Y-m-d format to request plan values starting from.

  • date_before string

    string|null Date in Y-m-d format to request plan values up until. Will default to today if not provided.

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [accounts].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[abstract_type] string

    Comma separated list of abstract types. Valid abstract types are [asset, liability, protection]

  • filter[type] string

    Comma separated list of types. Valid abstract types are [cash_account, investment, protection_policy, pension, annuity, general_insurance, group_protection, mortgage, loan_credit, fixed_asset]

  • filter[sub_type] string

    Comma separated list of sub types.

  • filter[name] string

    Comma separated list of plan names to search against, can include partial matches.

  • filter[account_uuids] string

    Comma separated list of client UUIDs to search against.

  • filter[exact_account_uuids] string

    Comma separated list of accounts UUIDs that are all the owners of a plan.

  • filter[circle_uuids] string

    Comma separated list of circle UUIDs to search against.

  • filter[policy_number] string

    Comma separated list of policy numbers to search against, can include partial matches.

  • filter[provider_uuids] string

    Comma separated list of provider provider UUIDs to search against.

  • filter[status] string

    Comma separated string of statuses to filter by. Valid statuses are [active, proposed, inactive]

  • filter[seller_uuids] string

    Comma separated list of adviser UUIDs of who sold the plan to search against.

  • filter[active_adviser_uuids] string

    Comma separated list of adviser UUIDs of who is actively managing the plan to search against.

  • filter[case_uuids] string

    Comma separated list of case UUIDs

  • filter[valuation_from] integer

    Amount in pennies to filter where latest valuation is greater than.

  • filter[valuation_to] integer

    Amount in pennies to filter where latest valuation is less than.

  • filter[tags] string

    Comma separated list of tag names or tag UUIDs.

  • filter[is_wrap_product] boolean

    filter the plans by if they are a wrap product

  • filter[hide_wrap_children] boolean

    Used to hide the wrap children from the primary list of plans.

  • filter[agency_in_your_name] boolean

    filter the plans by if they have agency in your name

  • filter[under_advice] boolean

    filter the plans by if they are under advice

  • filter[custom_field:REFERENCE] string

    Filter by a plan custom field. Example filter[custom_field:cryptocurrencies]=bitcoin

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, type, value]. Negative sign to denote DESC. Defaults to 'name'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • opened_at string
      • name string
      • type string
      • sub_type string
      • abstract_type string
      • policy_number string
      • proposal_reference string
      • status string
      • inactive_at string
      • inactive_reason string
      • agency_in_your_name boolean
      • agency_in_your_name_from string
      • originally_sold_by_firm boolean
      • under_advice boolean
      • visible_on_client_portal boolean
      • include_in_client_valuation boolean
      • show_on_joint boolean
      • shown_on_circles boolean
      • review_date string
      • on_panel boolean
      • is_group_scheme boolean
      • is_sub_group_scheme boolean
      • is_group_scheme_member boolean
      • advice_area string
      • main_account object
        Hide main_account attributes Show main_account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • policy_number string
        • latest_valuation object
          Hide latest_valuation attributes Show latest_valuation attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • valued_at

            Valued at

          • value

            Valuation

        • is_main_account boolean
        • active_portfolio object
          Hide active_portfolio attributes Show active_portfolio attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • is_proposed

            Denotes if the portfolio is proposed

          • proposed_at

            The date the portfolio was proposed.

          • name

            The name of the portfolio.

        • statistics object
          Hide statistics attribute Show statistics attribute object
          • recent_growth integer
      • sub_accounts array[object]
        Hide sub_accounts attributes Show sub_accounts attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • policy_number string
        • latest_valuation object
          Hide latest_valuation attributes Show latest_valuation attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • valued_at

            Valued at

          • value

            Valuation

        • is_main_account boolean
        • active_portfolio object
          Hide active_portfolio attributes Show active_portfolio attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • is_proposed

            Denotes if the portfolio is proposed

          • proposed_at

            The date the portfolio was proposed.

          • name

            The name of the portfolio.

        • statistics object
          Hide statistics attribute Show statistics attribute object
          • recent_growth integer
      • provider object
        Hide provider attributes Show provider attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
      • covers array[object]
        Hide covers attributes Show covers attributes object
        • uuid string
        • created_at string
        • updated_at string
        • cover_type string
        • benefit_amount object
          Hide benefit_amount attributes Show benefit_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • benefit_frequency string
        • benefit_status string
        • excess object
          Hide excess attributes Show excess attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • indexation number
        • client object
          Hide client attributes Show client attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

      • claims array[object]
        Hide claims attributes Show claims attributes object
        • uuid string
        • created_at string
        • updated_at string
        • claim_amount object
          Hide claim_amount attributes Show claim_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • claim_start_date string
        • claim_end_date string
        • claim_notes string
        • client object
          Hide client attributes Show client attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

      • total_benefit_amount object
        Hide total_benefit_amount attributes Show total_benefit_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • total_benefits object
        Hide total_benefits attributes Show total_benefits attributes object
        • critical_illness object
          Hide critical_illness attributes Show critical_illness attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • family_income_benefit object
          Hide family_income_benefit attributes Show family_income_benefit attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
      • latest_valuations array[object]
        Hide latest_valuations attributes Show latest_valuations attributes object
        • uuid string
        • created_at string
        • updated_at string
        • valued_at string
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • sub_account object
          Hide sub_account attributes Show sub_account attributes object
          • uuid

            UUID of the sub account

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was created.

          • name

            Descriptive name of the sub account

          • policy_number

            Provider reference of the sub account

          • is_main_account

            Denotes if the sub account a main account of the plan

          • statistics

            The statistics on a sub account. Only displayed when you retrieve an individual sub-account.

      • value object
        Hide value attributes Show value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • valued_at string
      • original_valued_at string
      • client object
        Hide client attributes Show client attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • primary_phone_number object
          Hide primary_phone_number attributes Show primary_phone_number attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • primary_email object
          Hide primary_email attributes Show primary_email attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • current_time_entry object
          Hide current_time_entry attributes Show current_time_entry attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the time entry.

          • description

            The description of the time entry.

          • trackable_type

            The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

          • start_date

            The start time of the time entry.

          • end_date

            The end time of the time entry.

          • is_active

            Determines if the time entry is currently ongoing.

          • total_time_in_minutes

            Total time in minutes.

          • computed_time_elapsed_in_seconds

            Computed time elapsed in seconds.

        • assigned_adviser object
          Hide assigned_adviser attributes Show assigned_adviser attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_administrator object
          Hide assigned_administrator attributes Show assigned_administrator attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_paraplanner object
          Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • introduced_by object
          Hide introduced_by attributes Show introduced_by attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • business_unit object
          Hide business_unit attributes Show business_unit attributes object
          • uuid

            The UUID of the resource.

          • name

            Name of the business unit.

          • has_alternative_branding

            Whether alternative branding is enabled for this business unit.

          • brand_colours

            Brand colours for this business unit, merged with firm defaults.

          • members_count

            Number of accounts assigned to this business unit

          • groups_count

            Number of groups assigned to this business unit

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

        • groups object
          Hide groups attributes Show groups attributes object
          • uuid

            UUID of the group

          • name

            Name of the group

          • slug

            Slug of the group

          • participants_count

            Number of participants in the group

          • participants

            Participants in this group

          • created_at

            Timestamp of when the group was created

          • updated_at

            Timestamp of when the group was updated

        • tags object
          Hide tags attributes Show tags attributes object
          • uuid

            UUID of the tag

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the tag

          • slug

            The slug of the tag

          • colour

            The colour of the tag

        • owners object
          Hide owners attributes Show owners attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle object
          Hide joint_account_circle attributes Show joint_account_circle attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • circles object
          Hide circles attributes Show circles attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields object
          Hide custom_fields attributes Show custom_fields attributes object
          • uuid

            The UUID of the custom field

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            The type of custom field

          • name

            The name of the custom field

          • reference

            The reference of the custom field, used when updating the custom field on the model.

          • is_required

            Denotes if the custom field is required

          • value

            The value of the custom field

          • selection_options

            This is the array of available options for the selection box. If the type is "selection" this array will be provided.

          • help_text

            Optional help text to aide the custom field. Will be displayed on Plannr.

        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • accounts array[object]
        Hide accounts attributes Show accounts attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • primary_phone_number object
          Hide primary_phone_number attributes Show primary_phone_number attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • primary_email object
          Hide primary_email attributes Show primary_email attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • current_time_entry object
          Hide current_time_entry attributes Show current_time_entry attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the time entry.

          • description

            The description of the time entry.

          • trackable_type

            The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

          • start_date

            The start time of the time entry.

          • end_date

            The end time of the time entry.

          • is_active

            Determines if the time entry is currently ongoing.

          • total_time_in_minutes

            Total time in minutes.

          • computed_time_elapsed_in_seconds

            Computed time elapsed in seconds.

        • assigned_adviser object
          Hide assigned_adviser attributes Show assigned_adviser attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_administrator object
          Hide assigned_administrator attributes Show assigned_administrator attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_paraplanner object
          Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • introduced_by object
          Hide introduced_by attributes Show introduced_by attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • business_unit object
          Hide business_unit attributes Show business_unit attributes object
          • uuid

            The UUID of the resource.

          • name

            Name of the business unit.

          • has_alternative_branding

            Whether alternative branding is enabled for this business unit.

          • brand_colours

            Brand colours for this business unit, merged with firm defaults.

          • members_count

            Number of accounts assigned to this business unit

          • groups_count

            Number of groups assigned to this business unit

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

        • groups object
          Hide groups attributes Show groups attributes object
          • uuid

            UUID of the group

          • name

            Name of the group

          • slug

            Slug of the group

          • participants_count

            Number of participants in the group

          • participants

            Participants in this group

          • created_at

            Timestamp of when the group was created

          • updated_at

            Timestamp of when the group was updated

        • tags object
          Hide tags attributes Show tags attributes object
          • uuid

            UUID of the tag

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the tag

          • slug

            The slug of the tag

          • colour

            The colour of the tag

        • owners object
          Hide owners attributes Show owners attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle object
          Hide joint_account_circle attributes Show joint_account_circle attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • circles object
          Hide circles attributes Show circles attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields object
          Hide custom_fields attributes Show custom_fields attributes object
          • uuid

            The UUID of the custom field

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            The type of custom field

          • name

            The name of the custom field

          • reference

            The reference of the custom field, used when updating the custom field on the model.

          • is_required

            Denotes if the custom field is required

          • value

            The value of the custom field

          • selection_options

            This is the array of available options for the selection box. If the type is "selection" this array will be provided.

          • help_text

            Optional help text to aide the custom field. Will be displayed on Plannr.

        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • seller object
        Hide seller attributes Show seller attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • primary_phone_number object
          Hide primary_phone_number attributes Show primary_phone_number attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • primary_email object
          Hide primary_email attributes Show primary_email attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • current_time_entry object
          Hide current_time_entry attributes Show current_time_entry attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the time entry.

          • description

            The description of the time entry.

          • trackable_type

            The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

          • start_date

            The start time of the time entry.

          • end_date

            The end time of the time entry.

          • is_active

            Determines if the time entry is currently ongoing.

          • total_time_in_minutes

            Total time in minutes.

          • computed_time_elapsed_in_seconds

            Computed time elapsed in seconds.

        • assigned_adviser object
          Hide assigned_adviser attributes Show assigned_adviser attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_administrator object
          Hide assigned_administrator attributes Show assigned_administrator attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_paraplanner object
          Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • introduced_by object
          Hide introduced_by attributes Show introduced_by attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • business_unit object
          Hide business_unit attributes Show business_unit attributes object
          • uuid

            The UUID of the resource.

          • name

            Name of the business unit.

          • has_alternative_branding

            Whether alternative branding is enabled for this business unit.

          • brand_colours

            Brand colours for this business unit, merged with firm defaults.

          • members_count

            Number of accounts assigned to this business unit

          • groups_count

            Number of groups assigned to this business unit

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

        • groups object
          Hide groups attributes Show groups attributes object
          • uuid

            UUID of the group

          • name

            Name of the group

          • slug

            Slug of the group

          • participants_count

            Number of participants in the group

          • participants

            Participants in this group

          • created_at

            Timestamp of when the group was created

          • updated_at

            Timestamp of when the group was updated

        • tags object
          Hide tags attributes Show tags attributes object
          • uuid

            UUID of the tag

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the tag

          • slug

            The slug of the tag

          • colour

            The colour of the tag

        • owners object
          Hide owners attributes Show owners attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle object
          Hide joint_account_circle attributes Show joint_account_circle attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • circles object
          Hide circles attributes Show circles attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields object
          Hide custom_fields attributes Show custom_fields attributes object
          • uuid

            The UUID of the custom field

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            The type of custom field

          • name

            The name of the custom field

          • reference

            The reference of the custom field, used when updating the custom field on the model.

          • is_required

            Denotes if the custom field is required

          • value

            The value of the custom field

          • selection_options

            This is the array of available options for the selection box. If the type is "selection" this array will be provided.

          • help_text

            Optional help text to aide the custom field. Will be displayed on Plannr.

        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • linked_owners array[object]
        Hide linked_owners attributes Show linked_owners attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • primary_phone_number object
          Hide primary_phone_number attributes Show primary_phone_number attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • primary_email object
          Hide primary_email attributes Show primary_email attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • current_time_entry object
          Hide current_time_entry attributes Show current_time_entry attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the time entry.

          • description

            The description of the time entry.

          • trackable_type

            The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

          • start_date

            The start time of the time entry.

          • end_date

            The end time of the time entry.

          • is_active

            Determines if the time entry is currently ongoing.

          • total_time_in_minutes

            Total time in minutes.

          • computed_time_elapsed_in_seconds

            Computed time elapsed in seconds.

        • assigned_adviser object
          Hide assigned_adviser attributes Show assigned_adviser attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_administrator object
          Hide assigned_administrator attributes Show assigned_administrator attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_paraplanner object
          Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • introduced_by object
          Hide introduced_by attributes Show introduced_by attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • business_unit object
          Hide business_unit attributes Show business_unit attributes object
          • uuid

            The UUID of the resource.

          • name

            Name of the business unit.

          • has_alternative_branding

            Whether alternative branding is enabled for this business unit.

          • brand_colours

            Brand colours for this business unit, merged with firm defaults.

          • members_count

            Number of accounts assigned to this business unit

          • groups_count

            Number of groups assigned to this business unit

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

        • groups object
          Hide groups attributes Show groups attributes object
          • uuid

            UUID of the group

          • name

            Name of the group

          • slug

            Slug of the group

          • participants_count

            Number of participants in the group

          • participants

            Participants in this group

          • created_at

            Timestamp of when the group was created

          • updated_at

            Timestamp of when the group was updated

        • tags object
          Hide tags attributes Show tags attributes object
          • uuid

            UUID of the tag

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the tag

          • slug

            The slug of the tag

          • colour

            The colour of the tag

        • owners object
          Hide owners attributes Show owners attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

[...]
